Skip to navigation

Book hotel

Books a hotel room/rate.

Use case

This endpoint can be used on a reservation check-out page to allow users to book a hotel room/rate. The request creates a new passenger name record (PNR) in the GDS. The request will initiate the reservation process, which can take up to 3 minutes to process, depending on the hotel. If pnr_id is passed in the request, the reservation will be associated to that passenger name record (PNR) in the GDS. If not, a new PNR will be created. The response contains the booking_uid.

What’s next?

The booking_uid in the response can be used to get reservation details via the get_reservation_details endpoint, and must be used to check the reservation status until it is fully completed, or an error is received.

Path parameters

versionstringRequired

Headers

AuthorizationstringOptional

Request signature for authentication. Format: Signature YOUR_SIGNATURE. Calculated using HMAC-SHA256 with your secret key.